Open CASCADE Technology: IntAna2d_AnaIntersection Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IntAna2d_AnaIntersection Class Reference

Implementation of the analytical intersection between: More...

`#include <IntAna2d_AnaIntersection.hxx>`

## Public Member Functions
| IntAna2d_AnaIntersection ()
| Empty constructor. IsDone returns False. More...
| IntAna2d_AnaIntersection (const gp_Lin2d &L1, const gp_Lin2d &L2)
| Intersection between two lines. More...
| IntAna2d_AnaIntersection (const gp_Circ2d &C1, const gp_Circ2d &C2)
| Intersection between two circles. More...
| IntAna2d_AnaIntersection (const gp_Lin2d &L, const gp_Circ2d &C)
| Intersection between a line and a circle. More...
| IntAna2d_AnaIntersection (const gp_Lin2d &L, const IntAna2d_Conic &C)
| Intersection between a line and a conic. More...
| IntAna2d_AnaIntersection (const gp_Circ2d &C, const IntAna2d_Conic &Co)
| Intersection between a circle and another conic. More...
| IntAna2d_AnaIntersection (const gp_Elips2d &E, const IntAna2d_Conic &C)
| Intersection between an ellipse and another conic. More...
| IntAna2d_AnaIntersection (const gp_Parab2d &P, const IntAna2d_Conic &C)
| Intersection between a parabola and another conic. More...
| IntAna2d_AnaIntersection (const gp_Hypr2d &H, const IntAna2d_Conic &C)
| Intersection between an hyperbola and another conic. More...
void | Perform (const gp_Lin2d &L1, const gp_Lin2d &L2)
| Intersection between two lines. More...
void | Perform (const gp_Circ2d &C1, const gp_Circ2d &C2)
| Intersection between two circles. More...
void | Perform (const gp_Lin2d &L, const gp_Circ2d &C)
| Intersection between a line and a circle. More...
void | Perform (const gp_Lin2d &L, const IntAna2d_Conic &C)
| Intersection between a line and a conic. More...
void | Perform (const gp_Circ2d &C, const IntAna2d_Conic &Co)
| Intersection between a circle and another conic. More...
void | Perform (const gp_Elips2d &E, const IntAna2d_Conic &C)
| Intersection between an ellipse and another conic. More...
void | Perform (const gp_Parab2d &P, const IntAna2d_Conic &C)
| Intersection between a parabola and another conic. More...
void | Perform (const gp_Hypr2d &H, const IntAna2d_Conic &C)
| Intersection between an hyperbola and another conic. More...
Standard_Boolean | IsDone () const
| Returns TRUE if the computation was succesfull. More...
Standard_Boolean | IsEmpty () const
| Returns TRUE when there is no intersection, i-e. More...
Standard_Boolean | IdenticalElements () const
| For the intersection between an element of gp and a conic known by an implicit equation, the result will be TRUE if the element of gp verifies the implicit equation. For the intersection between two Lin2d or two Circ2d, the result will be TRUE if the elements are identical. The function returns FALSE in all the other cases. More...
Standard_Boolean | ParallelElements () const
| For the intersection between two Lin2d or two Circ2d, the function returns TRUE if the elements are parallel. The function returns FALSE in all the other cases. More...
Standard_Integer | NbPoints () const
| returns the number of IntPoint between the 2 curves. More...
const IntAna2d_IntPoint & | Point (const Standard_Integer N) const
| returns the intersection point of range N; If (N<=0) or (N>NbPoints), an exception is raised. More...

## Detailed Description

Implementation of the analytical intersection between:

- two Lin2d,
- two Circ2d,
- a Lin2d and a Circ2d,
- an element of gp (Lin2d, Circ2d, Elips2d, Parab2d, Hypr2d) and another conic. No tolerance is given for all the intersections: the tolerance will be the "precision machine".

## Constructor & Destructor Documentation

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( |  | ) |

Empty constructor. IsDone returns False.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Lin2d & | L1,
|  | const gp_Lin2d & | L2
| ) |  |

Intersection between two lines.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Circ2d & | C1,
|  | const gp_Circ2d & | C2
| ) |  |

Intersection between two circles.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Lin2d & | L,
|  | const gp_Circ2d & | C
| ) |  |

Intersection between a line and a circle.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Lin2d & | L,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between a line and a conic.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Circ2d & | C,
|  | const IntAna2d_Conic & | Co
| ) |  |

Intersection between a circle and another conic.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Elips2d & | E,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between an ellipse and another conic.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Parab2d & | P,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between a parabola and another conic.

IntAna2d_AnaIntersection::IntAna2d_AnaIntersection | ( | const gp_Hypr2d & | H,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between an hyperbola and another conic.

## Member Function Documentation

Standard_Boolean IntAna2d_AnaIntersection::IdenticalElements | ( |  | ) | const

For the intersection between an element of gp and a conic known by an implicit equation, the result will be TRUE if the element of gp verifies the implicit equation. For the intersection between two Lin2d or two Circ2d, the result will be TRUE if the elements are identical. The function returns FALSE in all the other cases.

Standard_Boolean IntAna2d_AnaIntersection::IsDone | ( |  | ) | const

Returns TRUE if the computation was succesfull.

Standard_Boolean IntAna2d_AnaIntersection::IsEmpty | ( |  | ) | const

Returns TRUE when there is no intersection, i-e.

- no intersection point
- the elements are not identical. The element may be parallel in this case.

Standard_Integer IntAna2d_AnaIntersection::NbPoints | ( |  | ) | const

returns the number of IntPoint between the 2 curves.

Standard_Boolean IntAna2d_AnaIntersection::ParallelElements | ( |  | ) | const

For the intersection between two Lin2d or two Circ2d, the function returns TRUE if the elements are parallel. The function returns FALSE in all the other cases.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Lin2d & | L1,
|  | const gp_Lin2d & | L2
| ) |  |

Intersection between two lines.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Circ2d & | C1,
|  | const gp_Circ2d & | C2
| ) |  |

Intersection between two circles.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Lin2d & | L,
|  | const gp_Circ2d & | C
| ) |  |

Intersection between a line and a circle.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Lin2d & | L,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between a line and a conic.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Circ2d & | C,
|  | const IntAna2d_Conic & | Co
| ) |  |

Intersection between a circle and another conic.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Elips2d & | E,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between an ellipse and another conic.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Parab2d & | P,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between a parabola and another conic.

void IntAna2d_AnaIntersection::Perform | ( | const gp_Hypr2d & | H,
|  | const IntAna2d_Conic & | C
| ) |  |

Intersection between an hyperbola and another conic.

const IntAna2d_IntPoint& IntAna2d_AnaIntersection::Point | ( | const Standard_Integer | N | ) | const

returns the intersection point of range N; If (N<=0) or (N>NbPoints), an exception is raised.

The documentation for this class was generated from the following file:

- IntAna2d_AnaIntersection.hxx